### Encoding: latin1

### Name: makeneighborsw
### Title: Spatial weight matrix
### Aliases: makeneighborsw
### Keywords: spatial

### ** Examples

# data auckland
data(auckland)
x.ext <- auckland$Easting[1:10]
y.ext <- auckland$Northing[1:10] 
#plot(x.ext,y.ext,type='p')
#text(x.ext,y.ext,as.character(1:10))

# matrix based on 5 nearest neighbors
W<-makeneighborsw(x.ext,y.ext,method="neighbor",m=3)

# matrix based on a threshold distance
W1<-makeneighborsw(x.ext,y.ext,method="distance",d=20)

# matrix based on the two methods
W2<-makeneighborsw(x.ext,y.ext,method="both",m=3,d=20)



