### Encoding: latin1

### Name: plot3dmap
### Title: Interactive Plot3d and map
### Aliases: plot3dmap
### Keywords: spatial univar

### ** Examples

# data on price indices of real estate in France
data(immob)
midiP <- readOGR(system.file("vectors/region.mif", package = "GeoXp")[1], "region")
cont_midiP<-spdf2list(midiP)$poly
plot3dmap(immob$longitude,immob$latitude,immob$prix.vente,immob$prix.location,
immob$variation.vente,box=FALSE, carte= cont_midiP,listvar=immob, col='purple',
listnomvar=names(immob),label=immob$Nom,cex.lab=0.6,xlab="prix.vente",
ylab="prix.location",zlab="variation.vente")

# data oldcol
example(columbus)
coords <- coordinates(columbus)
cont<-spdf2list(columbus)$poly

plot3dmap(coords[,1], coords[,2],columbus@data$CRIME,columbus@data$HOVAL,
columbus@data$INC, xlab='Crime',ylab='Hoval',zlab='Income',listvar=columbus@data,
listnomvar=names(columbus@data),criteria=(columbus@data$CRIME>mean(columbus@data$CRIME)),
carte=cont,col="grey", label=as.character(1:length(columbus@data$X)),cex.lab=0.7)

# data eire
data(eire)
eire.contours<-polylist2list(eire.polys.utm)

plot3dmap(eire.coords.utm$V1,eire.coords.utm$V2,eire.df$A,eire.df$RETSALE,
eire.df$INCOME,carte=eire.contours,listvar=eire.df,
listnomvar=names(eire.df),xlab="A",ylab="RETSALE",zlab="INCOME")




