### Encoding: latin1

### Name: moranplotmap
### Title: Moran scatterplot and map
### Aliases: moranplotmap
### Keywords: spatial

### ** Examples

# data baltimore
data(baltimore)
W <- makeneighborsw(baltimore$X,baltimore$Y,method="neighbor",4)
moranplotmap(baltimore$X,baltimore$Y,baltimore$PRICE,W,label=baltimore$STATION,
criteria=(baltimore$PRICE>mean(baltimore$PRICE)),listvar=baltimore,
listnomvar=names(baltimore),flower=TRUE,locmoran=TRUE,cex.lab=0.7,pch=5)




