### Encoding: latin1

### Name: neighbourmap
### Title: Neighbour plot and map
### Aliases: neighbourmap
### Keywords: spatial

### ** Examples

# data oldcol

columbus <- readShapePoly(system.file("etc/shapes/columbus.shp",
package="spdep")[1])

list.OLD <- spdf2list(columbus)
contours.OLD <- list.OLD$poly
x.OLD <- list.OLD$X
y.OLD <- list.OLD$Y

W <- makeneighborsw(x.OLD , y.OLD,method="neighbor",4)
obs<-neighbourmap(x.OLD , y.OLD,columbus@data$CRIME, W,carte=contours.OLD,
criteria=(columbus@data$CRIME>mean(columbus@data$CRIME)),listvar=columbus@data,
listnomvar=names(columbus@data),id=TRUE,col="grey",pch=4)



