### Encoding: latin1

### Name: pcamap
### Title: Generalized Principal Component Analysis and map
### Aliases: pcamap
### Keywords: spatial multivariate

### ** Examples

# Data Colombus
example(columbus)
coords <- coordinates(columbus)
cont<-spdf2list(columbus)$poly

obs<-pcamap(coords[,1], coords[,2],columbus@data[,6:12],
label=columbus@data$NEIGNO, carte=cont,listvar=columbus@data,
qualproj=TRUE,listnomvar=names(columbus@data),name.dataset=names(columbus@data[,6:12]),
cex.lab=0.7, pch=6, col="purple")

# data boston
data(boston)
obs<-pcamap(boston.utm[,1],boston.utm[,2],boston.c[,12:15],label=boston.c$TOWN, 
listvar=boston.c,listnomvar=names(boston.c),name.dataset=names(boston.c[,12:15]),
cex.lab=0.3,center=c(0,0,0,0))




